/* @import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@700&family=Roboto&display=swap'); */
@import url('https://fonts.googleapis.com/css2?family=Catamaran:wght@900&family=Roboto&display=swap');
/* @import url('https://fonts.googleapis.com/css2?family=Arima+Madurai:wght@900&family=Roboto&display=swap'); */
/* @import url('https://fonts.googleapis.com/css2?family=Rammetto+One&family=Roboto&display=swap'); */
/* COLORS */
:root {
    --color-grey: #556370;
    --color-light-grey: hsl(209, 14%, 85%);
    --color-teal: #4ecdc4;
    --color-light-teal: hsl(176, 56%, 80%);
    --color-blue: #25b0e3;
    --color-blue-light: hsl(196, 77%, 70%);
    --color-green: #6af465;
    --color-sun-yellow: #FFE680;
    --color-yellow: #fff588;
    --color-yellow-light: hsl(55, 100%, 85%);
    --color-cream: #fffdd0;
    --color-red: #ff6b6b;
    --color-red-light: hsl(0, 100%, 85%);
    --color-dark-red: #c54d57;
    --color-purple: #9d4ed5;
    --color-white: #eaeaea;
    --color-light-white: #fafafa;
    --color-dark: #303636;
    --color-darkish: #414949;
    --text-light: var(--color-white);
    --text-dark: var(--color-dark);
    --text-darkish: var(--color-darkish);
    --color-facebook: #3b5998;
    --color-instagram: #d6249f;
    --shadow: 3px 5px 2px rgb(0 0 0 / 0.4);
    --btn-shadow: 3px 3px 2px rgb(0 0 0 / 0.4);
    --img-shadow: 20px 15px 22px -12px rgba(0, 0, 0, 0.5);
    --img-border: 1px solid var(--text-darkish);
}
body { 
    font-family: "Roboto", sans-serif;
    color: var(--text-dark);
    overflow-x: hidden;
    font-size: 1.1em;
    background-color: #fff;
}
p {
    line-height: 1.6rem;
}
h1, h2, h3, h4 {
    font-family: "Catamaran", sans-serif;
    /* font-family: "Arima Madurai", sans-serif; */
    font-weight: 700;
}
h1 {
    font-size: 1.7em;
}
.tagline {
    font-family: "Noto Sans JP", sans-serif;
    font-weight: 700;
    font-size: 1.0em;
}
h2 {
    font-size: 2.1em;
}
.bold {
    font-weight: 600;
}
.fun {
    transform: rotate(-30deg);
    display: inline-block;
}
@media screen and (min-width: 830px) {
    h1 {
        font-size: 3em; 
    }
    .tagline {
        font-size: 2.1em;
    }
}

/* ICON COLORS */
.stroke-light {
    stroke: var(--color-white);
}
.fill-cream {
    fill: var(--color-cream);
}

/* GLOBAL STYLES */
a svg {
    padding-right: 0.7em;
}
h1 {
    text-align: center;
}

.link.btn {
    border: none;
    font-weight: 700;
    padding: 12px 18px;
    margin: 0 0.5em;
    margin-bottom: 1em;
    background: var(--color-darkish);
    color: var(--color-white);
    position: relative;
    transition: 10ms;
    text-decoration: none;
    text-transform: uppercase;
    display: inline-flex;
    text-align: center;
    align-items: center;
}
.link.btn:hover {
    background: #5b6767;
}
.link.btn:disabled {
    background: #5b676782;
}
#btt-btn {
    position: fixed;
    bottom: 3px;
    right: 3px;
    z-index: 9999;
    padding: 10px 16px;
    margin: 0 0.5em;
    margin-bottom: 1em;
    background: var(--color-darkish);
    color: var(--color-white);
    transition: 0ms;
    transition: opacity 200ms;
    text-decoration: none;
    text-transform: uppercase;
}
#btt-btn > svg {
    padding: 0;
    margin: 0;
}
#btt-btn.hide {
    opacity: 0%;
}
#btt-btn.show {
    opacity: 100%;
}
.top-bar {
    /* background: rgba(255, 255, 255, 0.4); */
    text-align: left;
}
/* TOP BAR WITH PHONE, EMAIL, AND LANGUAGE */
.top-bar a {
    display: inline-flex;
    align-items: center;
    color: var(--text-dark);
    font-weight: 700;
    margin: 0 1em;
    text-decoration: none;
}

/* Payment Modal */
#payment-modal {
    opacity: 0;
    height: 100%;
    width: 100%;
    background: rgba(0,0,0,0.6);
    position: fixed;
    top: 0;
    left: 0;
    user-select: none;
    transition: 200ms opacity ease;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: -1;
}
#payment-modal.active {
    opacity: 1;
    z-index: 9999;
}
.modal {
    background-color: #f5f5f7; 
    border-radius: 6px;
    padding: 1em;
    padding-top: 2em;
    position: relative;
}
.modal > .form-row {
    margin-bottom: 1em;
}
.form-row label {
    text-align: left;
    display: block;
    /* text-transform: uppercase;
    font-size: 0.9em; */
}
.form-row input {
    display: block;
    padding: 4px 8px;
    border-radius: 4px;
    border: 1px solid #cececf;
    background-color: #fff;
}
input.error {
    border: 1px solid #ff7076;
    box-shadow: inset 0 1px 2px rgba(0,0,0,0),0 1px 0 rgba(255,255,255,0),0 0 2px 0 rgba(255,0,0,0.5);
}
#payment-button {
    margin-top: 0.7em;
}
.close-btn {
    position: absolute;
    top: 7px;
    right: 8px;
    width: 22px;
    height: 23px;
    background: url("/assets/close.png") no-repeat;
    background-size: auto;
    background-size: 100% 100%;
    cursor: pointer;
}
/* QUICK LINK BUTTONS TO FORMS AND PAYMENT */
.quick-nav {
    text-align: center;
}
.quick-nav a, .quick-nav button {
    width: 14em;
    display: inline-flex;
    text-align: center;
    align-items: center;
    text-transform: uppercase;
    font-weight: bold;
    text-decoration: none;
}
.quick-nav a span, .quick-nav button span {
    width: 100%;
    font-weight: bold;
}

.banner {
    border-top: 1px solid black;
    border-bottom: 1px solid black;
    background-color: var(--color-yellow-light);
}
.banner a {
    padding: 0.3em 0;
    width: 100%;
    text-decoration: none;
    color: black;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
}
.banner svg {
    padding: 0 0.7em;
    fill: var(--color-yellow);
}

#video-container {
    background-color: rgba(182, 182, 182, 0.6);

    position: relative;
    min-height: 100vh;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
}
#video-container > * {
    width: 100vw;
}
#bgvid {
    position: absolute;
    overflow: hidden;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: -99;
    background-image: url("/assets/images/DrDougCover.png");
    background-size: cover;
}
#bgvid iframe {
    width: 100vw;
    height: 56.25vw;
    max-width: none;
    min-height: 100vh;
    min-width: 177.77vh;
    min-height: 100vh;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.video-wrapper {
    position: relative;
    height: 0px;
    overflow: hidden;
    padding-bottom: 56.25%;
}
.video-iframe {
    max-width: 100%;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    border: 0;
}

#reviews {
    margin: auto;
    max-width: 40em;
}

/* SITE NAVIGATION */
nav {
    text-align: center;
    white-space: nowrap;
    overflow-x: auto;
    z-index: 1;
}
nav ul {
    list-style: none;
}
nav li {
    padding: 0 1em;
    display: inline;
}
nav a {
    text-decoration: none;
    color: var(--text-dark);
    /* color: white; */
    font-weight: 700;
    padding: 6px 8px 0 8px;
}
nav a:active, nav a:hover {
    border-bottom: 2px solid var(--text-darkish);
}
#location {
    background-color: white;
}

.hero {
    text-align: center;
}
.hero-title {
    margin: 4em 0 6em 0;
}
.section {
    max-width: 90em;
    margin: auto;
    display: grid;
    grid-template-columns: 1fr 1fr;
}
@media only screen and (max-width: 1000px) {
    .section {
        grid-template-columns: 1fr;
    }
}
.section .content {
    max-width: 35em;
    margin: auto;
}
.section > * {
    padding: 1em;
    margin: 1em 0;
}
.products {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.products > * {
    max-width: 400px;
    margin: 0 1em;
}

/* MAP */
#mapid {
    min-width: 100px;
    min-height: 300px;
}
.map-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    max-width: 90em;
    margin: auto;
    padding: 1em;
    padding-left: 0.3em;
    padding-right: 0.3em;
}
.map-container * {
    border: none;
    box-shadow: none;
}
.map-container > * {
    /* border: var(--img-border); */
    border: 1px solid var(--color-light-grey);
}
@media only screen and (max-width: 768px) {
    .map-container {
        grid-template-columns: 1fr;
    }
    .map-container .map-item {
        width: 100vw;
    }
}
.map-container .map-item {
    height: 100%;
    width: 100%;
    margin: auto;
}
/* BUBBLE BORDER */
.bubbles {
    width: 100%;
    padding: 16em 0;
    position: relative;
    background: var(--color-blue);
}
.bubbles:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 250px;
    background: url(./bubbles-inverse-flipped.png);
    background-size: cover;
    background-repeat: no-repeat;
}
.bubbles:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 300px;
    background: url(./bubbles-inverse.png);
    background-size: cover;
    background-repeat: repeat;
}

/* FLOATING BUBBLE BORDER */
.bubbles2 {
    width: 100%;
    position: relative;
    background-color: var(--color-light-teal);
    padding: 12em 0;
    padding-top: 400px;
    padding-bottom: 400px;
}
.bubbles2:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 400px;
    background: url(./bubbles2-inverse.png);
    background-size: cover;
}
.bubbles2:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 400px;
    background: url(./bubbles2-inverse-flipped.png);
    background-size: cover;
}
@media only screen and (min-width: 2800px) {
    .bubbles2 {
        padding-top: 700px;
        padding-bottom: 600px;
    }
    .bubbles2:before {
        height: 700px;
    }
    .bubbles2:after {
        height: 600px;
    }
}

.bumps {
    position: relative;
    padding-top: 50px;
}
.bumps:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 30px;
    background: url(./bumps.png);
    background-size: cover;
}
.bumps:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 30px;
    background: url(./bumps-inverse.png);
    background-size: cover;
}



/* INSTAGRAM GALLERY */
img {
    max-width: 45em;
    border: var(--img-border);
    box-shadow: var(--img-shadow);
}
.gallery {
    background-color: var(--color-purple);
    background-image: url("data:image/svg+xml,%3Csvg width='52' height='26' viewBox='0 0 52 26' xmlns='http://www.w3.org/2000/svg'%3E%3Cg fill='none' fill-rule='evenodd'%3E%3Cg fill='%23a096b0' fill-opacity='0.21'%3E%3Cpath d='M10 10c0-2.21-1.79-4-4-4-3.314 0-6-2.686-6-6h2c0 2.21 1.79 4 4 4 3.314 0 6 2.686 6 6 0 2.21 1.79 4 4 4 3.314 0 6 2.686 6 6 0 2.21 1.79 4 4 4v2c-3.314 0-6-2.686-6-6 0-2.21-1.79-4-4-4-3.314 0-6-2.686-6-6zm25.464-1.95l8.486 8.486-1.414 1.414-8.486-8.486 1.414-1.414z' /%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
    /* background-color: teal; */
    margin: 0;
    padding: 0;
    padding: 5rem 1rem;
    display: grid;
    grid-column-gap: 1rem;
    grid-row-gap: 1rem;
    justify-content: center;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    max-width: 100%;
}
.gallery img {
    display: inline-block;
    width: 100%;
} 
/* ACCORDION */
.accordion-content ul {
    width: 90%;
}
.accordion-content {
    padding: 1em;
}
.accordion-content *:first-child {
    margin-top: 0;
}
.accordion-content *:last-child {
    margin-bottom: 0;
}
.accordion-content {
    display:none;
    border-top: 1px solid var(--color-light-grey);
}
.accordion-visible {
    display:block;
}
.accordion-outer {
    max-width: 45em;
    margin: auto;
    padding: 0 4px;
}
.accordion * {
    /* width: 100%; */
    text-align: left;
}
.accordion {
    border: 1px solid var(--color-light-grey);
}
.accordion-btn {
    padding-left: 1em;
    padding-right: 1em;
    width: 100%;
    background-color: var(--color-light-white);
    border: none;
    border-top: 1px solid var(--color-light-grey);
}
.accordion-btn:first-child {
    /* background-color: red; */
    border-bottom: none;
    border: none;
}
.accordion-btn.accordion-btn-active h3:before {
    /* content: url(/assets/images/minus.svg); */
    content: url(/assets/images/chevron-down.svg);
    width: 1em;
    float: right;
}
.accordion-btn h3:before {
    /* content: url(/assets/images/plus.svg); */
    content: url(/assets/images/chevron-right.svg);
    width: 1em;
    float: right;
}

/* FOOTER */
footer {
    background-color: var(--color-dark);
}
.footer {
    margin: auto;
    padding: 3rem 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    max-width: 70em;
    /* display: grid;
    grid-template-columns: repeat(auto-fill, minmax(400px, 1fr)); */
    color: var(--text-light);
    font-weight: 600;
}
.footer ul {

}
.footer li {
    list-style-type: none;
    padding: 0.5em 0;
}
.footer a {
    color: var(--text-light);
    text-decoration: none;
    display: inline-flex;
    text-align: center;
    align-items: center;
    text-decoration: none;
}
.footer svg {
    color: var(--text-dark);
    filter: drop-shadow(var(--shadow));
}
.address {
    line-height: 1.5em;
}
.hours svg {
    margin-right: 0.7em;
}
.social {
    background-color: var(--color-dark);
    color: var(--text-light);
    font-weight: 700;
}
.social * {
    padding: 0 1em;
}
.social a {
    box-shadow: var(--shadow);
    display: flex;
    align-items: center;
    text-align: center;
    padding: 0.3em;
    margin: 0.3em;
    transition: 200ms;
    position: relative;
    transition: 0ms;
}
.social a:hover {
    box-shadow: none;
    bottom: -2px;
    right: -2px;
}
.facebook {
    background-color: var(--color-facebook);
    color: var(--text-light);
    border: 1px solid var(--color-facebook);
}
.instagram {
    background: var(--color-instagram);
    color: var(--text-light);
    border: 1px solid var(--color-instagram);
}
/* .facebook:hover {
    background-color: var(--text-light);
    color: var(--color-facebook);
}
.instagram:hover {
    background-color: var(--text-light);
    color: var(--color-instagram);
} */
.social svg {
    padding: 0;
    margin: 0;
}

#pricing h3 {
    text-align: center;
}
#pricing p {
    padding: 0 0.5em;
    max-width: 30em;
    margin: auto;
    margin-bottom: 2em;
}

/* TABLE STYLES */
.table-wrapper {
    overflow-x: auto;
    padding: 0 4px;
}
.table-inner-wrapper {
    border: 1px solid var(--color-light-grey);
    background-color: var(--color-light-white);
    width: 30em;
    margin: auto;
}
table {
    width: 30em;
    text-align: center;
    border-collapse: collapse;
    white-space: nowrap;
}
td {
    border-top: 1px solid var(--color-light-grey);
    padding: 0.7em;
}
tr:first-child td {
    border-bottom: 1px solid var(--color-light-grey);
}
thead {
    background-color: hsl(0, 0%, 98%);
}
thead th {
    height: 3em;
}
.no-top-border td {
    border-top: none;
}

/* UTILITY CLASSES */
.border-light {
    border: 1px solid var(--color-light-grey);
}
.border-dark {
    border: var(--img-border);
}
.shadow {
    box-shadow: var(--img-shadow);
}
.w-40 {
    width: 40em;
}
.w-45 {
    width: 45em;
}
.text-left {
    text-align: left;
}
.measure {
    max-width: 45em;
}
.mt-minus {
    margin-top: -1em;
}
.mt-3 {
    margin-top: 3em;
}
.mt-4 {
    margin-top: 5em;
}
.pt-1 {
    padding-top: 1em;
}
.p-2 {
    padding: 1em;
}
.m-0 {
    margin: 0 !important;
}
.mx-2 {
    margin-right: 1em;
    margin-left: 1em;
}
.mt-2 {
    margin-top: 1em;
}
.mb-2 {
    margin-bottom: 1em;
}
.mb-4 {
    margin-bottom: 5em;
}
.w-100 {
    width: 100%;
}
.m-auto {
    margin-right: auto;
    margin-left: auto;
}
.block {
    display: block;
}
.text-center {
    text-align: center;
}
.flex {
    display: flex;
}
.flex-wrap {
    flex-wrap: wrap;
}
.items-center {
    align-items: center;
}
.flex-end {
    justify-content: flex-end;
}
.content-between {
    justify-content: space-between;
}
.content-around {
    justify-content: space-around;
}
.bg-teal {
    background-color: var(--color-teal);
}
.bg-blue {
    background-color: var(--color-blue);
}
.bg-red {
    background-color: var(--color-red);
}
.bg-green {
    background-color: var(--color-green);
}
.text-white * {
    color: var(--color-white);
}
.border-none {
    border: none !important;
}
.rotate-right {
    transform: rotate(7deg);
}
.rotate-left {
    transform: rotate(-7deg);
}